Skip to main content
`Ctrl`+`K`

# PCFieldSplitRestrictIS

Restricts the fieldsplit `IS`s to be within a given `IS`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitRestrictIS(PC pc, IS isy)

## Input Parameters

- pc - the preconditioner context

- isy - the index set that defines the indices to which the fieldsplit is to be restricted

## Developer Notes

It seems the resulting `IS`s will not cover the entire space, so how can they define a convergent preconditioner? Needs explaining.

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PCFIELDSPLIT`, `PCFieldSplitSetFields()`, `PCFieldSplitSetIS()`

## Level

advanced

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

## Implementations

PCFieldSplitRestrictIS_FieldSplit() in src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages